Check Individual
curl --request POST \
--url https://api-umbrella.io/api/services/aml/checkIndividual \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Boris Johnson",
"dob": "1964/06/19"
}
'import requests
url = "https://api-umbrella.io/api/services/aml/checkIndividual"
payload = {
"name": "Boris Johnson",
"dob": "1964/06/19"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Boris Johnson', dob: '1964/06/19'})
};
fetch('https://api-umbrella.io/api/services/aml/checkIndividual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2024/09/24T19:16:00Z",
"totalHits": 1,
"foundRecords": [
{
"id": "c438b18a93cd3c13",
"sourceType": "PEP",
"pepType": "POLITICIAN",
"sourceId": "dilisense_pep",
"entityType": "INDIVIDUAL",
"gender": "MALE",
"name": "Boris Johnson",
"lastNames": [
"Johnson",
"Pfeffel"
],
"aliasNames": [
"Alexander Boris de Pfeffel Johnson",
"Boris",
"BoJo"
],
"givenNames": [
"Alexander",
"Boris"
],
"dateOfBirth": [
"1964/06/19"
],
"placeOfBirth": [
"New York City"
],
"citizenship": [
"GB",
"US"
],
"occupations": [
"journalist",
"politician"
],
"positions": [
"2001/06/07 - 2005/04/11 Member of the 53rd Parliament of the United Kingdom",
"Since 2019/07/24 Prime Minister of the United Kingdom"
],
"politicalParties": [
"Conservative Party"
],
"links": [
"https://www.gov.uk/government/people/boris-johnson",
"Facebook: borisjohnson"
]
}
]
}{
"message": "Invalid request payload"
}{
"message": "Unauthorized request"
}{
"message": "Forbidden"
}{
"message": "Internal Server Error"
}AML
AML Check Individual Service
AML Check Individual Service API Documentation
POST
/
aml
/
checkIndividual
Check Individual
For a usage description of the AML Check Individual Service, please refer to the AML page.
Endpoint
POST/aml/checkIndividual
Swagger
Authorizations
Bearer token obtained from POST /auth. Valid for 60 minutes.
Body
application/json
Response
A JSON array of matching individuals.
⌘I